[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[Pkg-fonts-devel] Proposed patch



tags 649829 patch
thanks

Here's a proposed patch.

-- 

diff -Nru sjfonts-2.0.2.old/debian/control sjfonts-2.0.2/debian/control
--- sjfonts-2.0.2.old/debian/control	2011-11-28 19:09:42.634003843 +0100
+++ sjfonts-2.0.2/debian/control	2011-11-28 19:12:32.642725309 +0100
@@ -2,13 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Daniel Schepler <schepler@debian.org>
-Build-Depends-Indep: debhelper (>= 5.0.0), cdbs, defoma, fontforge
+Build-Depends-Indep: debhelper (>= 5.0.0), cdbs, fontforge
 Standards-Version: 3.6.2
 
 Package: ttf-sjfonts
 Architecture: all
-Depends: defoma
-Recommends: x-ttcidfont-conf
 Description: Some Juicy Fonts handwriting fonts
  This package contains two handwriting fonts created by Steve Jordi,
  Delphine and SteveHand, in TrueType format.
diff -Nru sjfonts-2.0.2.old/debian/postinst sjfonts-2.0.2/debian/postinst
--- sjfonts-2.0.2.old/debian/postinst	1970-01-01 01:00:00.000000000 +0100
+++ sjfonts-2.0.2/debian/postinst	2011-11-28 19:11:01.540195222 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-sjfonts.hints 2.0.2-2 -- "$@"
+fi
+
+#DEBHELPER#
diff -Nru sjfonts-2.0.2.old/debian/postrm sjfonts-2.0.2/debian/postrm
--- sjfonts-2.0.2.old/debian/postrm	1970-01-01 01:00:00.000000000 +0100
+++ sjfonts-2.0.2/debian/postrm	2011-11-28 19:11:23.448803667 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-sjfonts.hints 2.0.2-2 -- "$@"
+fi
+
+#DEBHELPER#
diff -Nru sjfonts-2.0.2.old/debian/preinst sjfonts-2.0.2/debian/preinst
--- sjfonts-2.0.2.old/debian/preinst	1970-01-01 01:00:00.000000000 +0100
+++ sjfonts-2.0.2/debian/preinst	2011-11-28 19:12:06.530000102 +0100
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if dpkg --compare-versions "$2" lt 2.0.2-2; then
+	if [ -x "which defoma-font 2>/dev/null" ]; then
+		defoma-font purge /etc/defoma/hints/ttf-sjfonts.hints
+	fi
+fi
+
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-sjfonts.hints 2.0.2-2 -- "$@"
+fi
+
+#DEBHELPER#
diff -Nru sjfonts-2.0.2.old/debian/rules sjfonts-2.0.2/debian/rules
--- sjfonts-2.0.2.old/debian/rules	2011-11-28 19:09:42.634003843 +0100
+++ sjfonts-2.0.2/debian/rules	2011-11-28 19:10:08.622725604 +0100
@@ -5,5 +5,3 @@
 
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
 
-binary-install/ttf-sjfonts::
-	dh_installdefoma -pttf-sjfonts
diff -Nru sjfonts-2.0.2.old/debian/ttf-sjfonts.defoma-hints sjfonts-2.0.2/debian/ttf-sjfonts.defoma-hints
--- sjfonts-2.0.2.old/debian/ttf-sjfonts.defoma-hints	2011-11-28 19:09:42.634003843 +0100
+++ sjfonts-2.0.2/debian/ttf-sjfonts.defoma-hints	1970-01-01 01:00:00.000000000 +0100
@@ -1,25 +0,0 @@
-category truetype
-begin /usr/share/fonts/truetype/sjfonts/Delphine.ttf
-  Family = Delphine
-  FontName = Delphine
-  Encoding = Unicode
-  Location = English
-  Charset = ISO8859-1
-  GeneralFamily = SansSerif
-  Weight = Book
-  Width = Variable
-  Shape = Upright
-  Priority = 20
-end
-begin /usr/share/fonts/truetype/sjfonts/SteveHand.ttf
-  Family = Steve
-  FontName = SteveHand
-  Encoding = Unicode
-  Location = English
-  Charset = ISO8859-1
-  GeneralFamily = SansSerif
-  Weight = Book
-  Width = Variable
-  Shape = Italic
-  Priority = 20
-end

Attachment: signature.asc
Description: Digital signature


Reply to: